import { axios } from '@/utils/request'

// 获取用户总数
export const getUserTotal = params => {
  const url = `/customer/getCustomerTotal`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取设备总数
export const getDeviceTotal = params => {
  const url = `/device/getDeviceTotal`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取兑换亭总数
export const getOfficialPartnerTotal = params => {
  const url = `/seller/getOfficialPartnerTotal`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取兑换机总数
export const getExchangeMachineTotal = params => {
  const url = `/exchangeMachine/getExchangeMachineTotal`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取最新投递轮播
export const getDeliveryCarousel = params => {
  const url = `/deliveryLog/getDeliveryCarousel`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取最新用户轮播
export const getCustomerCarousel = params => {
  const url = `/customer/getCustomerCarousel`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
// 获取地图网点(含经纬度)
export const getMapStation = params => {
  const url = `/station/queryList`
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}
